#ifndef AboutWidget_H
#define AboutWidget_H

#include <QWidget>
#include <QTimer>
#include <QSettings>

namespace Ui {
class AboutWidget;
}

class PatchDownloader;
class LotroDatManager;

class AboutWidget : public QWidget
{
    Q_OBJECT

public:
    explicit AboutWidget(QSettings* settings, PatchDownloader* patch_downloader, LotroDatManager* lotro_dat_manager, QWidget *parent = 0);
    ~AboutWidget();

private:
    QSettings* app_settings;
    PatchDownloader* patch_updater;
    LotroDatManager* lotro_manager;

    Ui::AboutWidget *ui;
};

#endif // AboutWidget_H
