#include "widgets/AboutWidget.h"
#include "ui_AboutWidget.h"
#include "models/filesystem.h"
#include "models/lotrodatmanager.h"
#include "widgets/mainwindow.h"

#include <QDebug>
#include <QFileDialog>
#include <QMessageBox>

AboutWidget::AboutWidget(QSettings* settings, PatchDownloader* patch_downloader, LotroDatManager* lotro_dat_manager, QWidget *parent) :
    QWidget(parent), app_settings(settings), lotro_manager(lotro_dat_manager),
    ui(new Ui::AboutWidget)
{
    ui->setupUi(this);
}

AboutWidget::~AboutWidget()
{
    delete ui;
}
